Bug 488430 - for mysql client, DEL=~
Summary: for mysql client, DEL=~
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Tom Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-04 09:43 UTC by Grégoire Paris
Modified: 2013-07-03 03:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-10 09:51:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Grégoire Paris 2009-03-04 09:43:38 UTC
Description of problem: When pressing del key under mysql-client, a ~ is inserted, when pressing Ctrl+right, ";5C" is inserted, etc.


Version-Release number of selected component (if applicable): mysql  Ver 14.12 Distrib 5.0.51a , for redhat-linux-gnu (i386) using readline 5.0



How reproducible: always


Steps to Reproduce:
1. Open any terminal
2. log in a mysql session
3. press 'DEL' Key
  
Actual results: some strin~g


Expected results: some strin


Additional info:

Comment 1 Tom Lane 2009-03-04 16:26:14 UTC
For me, mysql reacts to DEL and control-arrow the same way that the bash shell does, so I don't think it's broken.  This seems more like a problem with terminal configuration --- have you checked your "stty -a" settings?

Comment 2 Grégoire Paris 2009-03-04 17:07:48 UTC
This problem occurs only in mysql, I have no problems in the bash shell. Here are my settings : 
----
[grpar@nicolede ~]$ stty -a
speed 38400 baud; rows 34; columns 145; line = 0;
intr = ^C; quit = ^\; erase = ^?; kill = ^U; eof = ^D; eol = <undef>; eol2 = <undef>; swtch = <undef>; start = ^Q; stop = ^S; susp = ^Z;
rprnt = ^R; werase = ^W; lnext = ^V; flush = ^O; min = 1; time = 0;
-parenb -parodd cs8 -hupcl -cstopb cread -clocal -crtscts
-ignbrk -brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr icrnl ixon ixoff -iuclc -ixany -imaxbel iutf8
opost -olcuc -ocrnl onlcr -onocr -onlret -ofill -ofdel nl0 cr0 tab0 bs0 vt0 ff0
isig icanon iexten echo echoe echok -echonl -noflsh -xcase -tostop -echoprt echoctl echoke
----

Anything wrong?

Comment 3 Tom Lane 2009-03-04 17:53:44 UTC
[ pokes around... ]  Oh, I was testing the wrong version of mysql.  This seems to be fixed in the 5.0.67 version that's shipped with F-10.  Can you update?

Comment 4 Grégoire Paris 2009-03-04 23:04:53 UTC
The problem is, I'm using Fedora 9, so I'm afraid I can't update, unless this version is in a testing repository for F9... I'll tell you tomorrow, the problem is at work.

Comment 5 Grégoire Paris 2009-03-05 15:51:33 UTC
There is no mysql update here : http://download.fedora.redhat.com/pub/fedora/linux/updates/testing/9/i386.newkey/ :-S
What am I supposed to do?

Comment 6 Tom Lane 2009-03-08 04:23:09 UTC
5.0.77 should appear in the testing repository shortly.

Comment 7 Grégoire Paris 2009-03-09 09:56:11 UTC
Fine, I'll check regularly with this command : 
yum update mysql --enablerepo=updates-testing-newkey

Comment 8 Grégoire Paris 2009-03-10 09:51:06 UTC
Works like a charm!
Thank you.
Closed


Note You need to log in before you can comment on or make changes to this bug.